

# PutAccountSettings
<a name="API_PutAccountSettings"></a>

Put the account settings for Artifact.

## Request Syntax
<a name="API_PutAccountSettings_RequestSyntax"></a>

```
PUT /v1/account-settings/put HTTP/1.1
Content-type: application/json

{
   "notificationSubscriptionStatus": "string"
}
```

## URI Request Parameters
<a name="API_PutAccountSettings_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_PutAccountSettings_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [notificationSubscriptionStatus](#API_PutAccountSettings_RequestSyntax) **   <a name="artifact-PutAccountSettings-request-notificationSubscriptionStatus"></a>
Desired notification subscription status.  
Type: String  
Valid Values: `SUBSCRIBED | NOT_SUBSCRIBED`   
Required: No

## Response Syntax
<a name="API_PutAccountSettings_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "accountSettings": { 
      "notificationSubscriptionStatus": "string"
   }
}
```

## Response Elements
<a name="API_PutAccountSettings_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [accountSettings](#API_PutAccountSettings_ResponseSyntax) **   <a name="artifact-PutAccountSettings-response-accountSettings"></a>
Account settings for the customer.  
Type: [AccountSettings](API_AccountSettings.md) object

## Errors
<a name="API_PutAccountSettings_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
User does not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Request to create/modify content would result in a conflict.    
 ** resourceId **   
Identifier of the affected resource.  
 ** resourceType **   
Type of the affected resource.
HTTP Status Code: 409

 ** InternalServerException **   
An unknown server exception has occurred.    
 ** retryAfterSeconds **   
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500

 ** ResourceNotFoundException **   
Request references a resource which does not exist.    
 ** resourceId **   
Identifier of the affected resource.  
 ** resourceType **   
Type of the affected resource.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
Request would cause a service quota to be exceeded.    
 ** quotaCode **   
Code for the affected quota.  
 ** resourceId **   
Identifier of the affected resource.  
 ** resourceType **   
Type of the affected resource.  
 ** serviceCode **   
Code for the affected service.
HTTP Status Code: 402

 ** ThrottlingException **   
Request was denied due to request throttling.    
 ** quotaCode **   
Code for the affected quota.  
 ** retryAfterSeconds **   
Number of seconds in which the caller can retry the request.  
 ** serviceCode **   
Code for the affected service.
HTTP Status Code: 429

 ** ValidationException **   
Request fails to satisfy the constraints specified by an AWS service.    
 ** fieldList **   
The field that caused the error, if applicable.  
 ** reason **   
Reason the request failed validation.
HTTP Status Code: 400

## See Also
<a name="API_PutAccountSettings_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/artifact-2018-05-10/PutAccountSettings) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/artifact-2018-05-10/PutAccountSettings) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/artifact-2018-05-10/PutAccountSettings) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/artifact-2018-05-10/PutAccountSettings) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/artifact-2018-05-10/PutAccountSettings) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/artifact-2018-05-10/PutAccountSettings) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/artifact-2018-05-10/PutAccountSettings) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/artifact-2018-05-10/PutAccountSettings) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/artifact-2018-05-10/PutAccountSettings) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/artifact-2018-05-10/PutAccountSettings) 